/*
 * COPYRIGHT (c) 2018 All rights reserved by HANWHA LIFE.
 */
package kr.co.zumo.app.lifeplus.model;

import android.widget.Toast;

import kr.co.zumo.app.lifeplus.application.App;
import kr.co.zumo.app.lifeplus.view.Event;

/**
 * FinalAlert
 * <pre>
 * </pre>
 *
 * @author 민효동
 * @version 1.0
 * @history 민효동   [2018-10-07]   [최초 작성]
 * @since 2018-10-07
 */
final class FinalAlert {

  /**
   * Model 에서 전달되는 에러를 처리한다.
   * - onResult 로는 더이상 진행할 수 없는 최종 단계에서 전달된다.
   * - Dialog 등으로 처리하여 알림
   *
   * @param event
   */
  static void create(Event event) {
    try {
//      AlertDialog.Builder builder = new AlertDialog.Builder(App.getInstance().getContext());
//      builder.setMessage(null != throwable ? throwable.getLocalizedMessage() : event.getString());
//      builder.setTitle("OOPS!!");
//      builder.setPositiveButton(android.R.string.ok, null);
//      AlertDialog dialog = builder.create();
//      dialog.show();
      String message = event.getString();
      Toast.makeText(App.getInstance().getContext(), message, Toast.LENGTH_LONG).show();
    } catch (Exception e) {
      e.printStackTrace();
    }
  }
}
